; 

      .486                      ; create 32 bit code
      .model flat, stdcall      ; 32 bit memory model
      option casemap :none      ; case sensitive
  
;     include files
;     ~~~~~~~~~~~~~
      include \masm32\include\windows.inc
      include \masm32\include\masm32.inc
      include \masm32\include\gdi32.inc
      include \masm32\include\user32.inc
      include \masm32\include\kernel32.inc
      include \masm32\include\Comctl32.inc
      include \masm32\include\comdlg32.inc
      include \masm32\include\shell32.inc
      include \masm32\include\oleaut32.inc
      include \masm32\include\dialogs.inc
      include \masm32\macros\macros.asm

      include mnemonic.inc

;     libraries
;     ~~~~~~~~~
      includelib \masm32\lib\masm32.lib
      includelib \masm32\lib\gdi32.lib
      includelib \masm32\lib\user32.lib
      includelib \masm32\lib\kernel32.lib
      includelib \masm32\lib\Comctl32.lib
      includelib \masm32\lib\comdlg32.lib
      includelib \masm32\lib\shell32.lib
      includelib \masm32\lib\oleaut32.lib

      includelib mnemonic.lib

      DlgProc PROTO :DWORD,:DWORD,:DWORD,:DWORD 
 
    .data?
      hWnd      dd ?
      hInstance dd ?

    .code

; 

start:
      mov hInstance, FUNC(GetModuleHandle,NULL)
      call main
      invoke ExitProcess,eax

; 

main proc

    Dialog "Test mnemonics library", \      ; caption
           "MS Sans Serif",10, \            ; font,pointsize
            WS_OVERLAPPED or \              ; styles for
            WS_SYSMENU or DS_CENTER, \      ; dialog window
            4, \                            ; number of controls
            50,50,160,100, \                ; x y co-ordinates
            1024                            ; memory buffer size


    DlgButton "Test Lib",WS_TABSTOP,106,5,45,13,101
    DlgButton "Benchmark",WS_TABSTOP,106,20,45,13,IDOK
    DlgButton "Cancel",WS_TABSTOP,106,35,45,13,IDCANCEL
    DlgStatic "Testing mnemonic.lib",SS_LEFT,5,5,90,9,100

    CallModalDialog hInstance,0,DlgProc,NULL

    ret

main endp

; 

DlgProc proc hWin:DWORD,uMsg:DWORD,wParam:DWORD,lParam:DWORD 
 
    Switch uMsg
      Case WM_INITDIALOG
        invoke SendMessage,hWin,WM_SETICON,1,
                           FUNC(LoadIcon,NULL,IDI_ASTERISK)
        m2m hWnd, hWin
        return 1
      Case WM_COMMAND
        Switch wParam
          Case IDOK
            call benchmark

          Case 101
            call runtest

          Case IDCANCEL
            jmp quit_dialog
        EndSw
      Case WM_CLOSE
        quit_dialog:
         invoke EndDialog,hWin,0
    EndSw

    return 0

DlgProc endp

; 

benchmark proc

    LOCAL tc1   :DWORD
    LOCAL str1  :DWORD
    LOCAL buffer1[128]:BYTE

    mov tc1, FUNC(GetTickCount)

    push esi
    mov esi, 10000
    jmp @F

  align 16
  @@:
    fn ismnemonic,"aaa"
    fn ismnemonic,"aad"
    fn ismnemonic,"aam"
    fn ismnemonic,"aas"
    fn ismnemonic,"adc"
    fn ismnemonic,"add"
    fn ismnemonic,"addps"
    fn ismnemonic,"addss"
    fn ismnemonic,"and"
    fn ismnemonic,"andnps"
    fn ismnemonic,"andps"
    fn ismnemonic,"arpl"
    fn ismnemonic,"bound"
    fn ismnemonic,"bsf"
    fn ismnemonic,"bsr"
    fn ismnemonic,"bswap"
    fn ismnemonic,"bt"
    fn ismnemonic,"btc"
    fn ismnemonic,"btr"
    fn ismnemonic,"bts"
    fn ismnemonic,"call"
    fn ismnemonic,"cbw"
    fn ismnemonic,"cdq"
    fn ismnemonic,"clc"
    fn ismnemonic,"cld"
    fn ismnemonic,"cli"
    fn ismnemonic,"clts"
    fn ismnemonic,"cmc"
    fn ismnemonic,"cmova"
    fn ismnemonic,"cmovae"
    fn ismnemonic,"cmovb"
    fn ismnemonic,"cmovbe"
    fn ismnemonic,"cmovc"
    fn ismnemonic,"cmove"
    fn ismnemonic,"cmovg"
    fn ismnemonic,"cmovge"
    fn ismnemonic,"cmovl"
    fn ismnemonic,"cmovle"
    fn ismnemonic,"cmovna"
    fn ismnemonic,"cmovnae"
    fn ismnemonic,"cmovnb"
    fn ismnemonic,"cmovnbe"
    fn ismnemonic,"cmovnc"
    fn ismnemonic,"cmovne"
    fn ismnemonic,"cmovng"
    fn ismnemonic,"cmovnge"
    fn ismnemonic,"cmovnl"
    fn ismnemonic,"cmovnle"
    fn ismnemonic,"cmovno"
    fn ismnemonic,"cmovnp"
    fn ismnemonic,"cmovns"
    fn ismnemonic,"cmovnz"
    fn ismnemonic,"cmovo"
    fn ismnemonic,"cmovp"
    fn ismnemonic,"cmovpe"
    fn ismnemonic,"cmovpo"
    fn ismnemonic,"cmovs"
    fn ismnemonic,"cmovz"
    fn ismnemonic,"cmp"
    fn ismnemonic,"cmpps"
    fn ismnemonic,"cmps"
    fn ismnemonic,"cmpsb"
    fn ismnemonic,"cmpsd"
    fn ismnemonic,"cmpss"
    fn ismnemonic,"cmpsw"
    fn ismnemonic,"cmpxchg"
    fn ismnemonic,"cmpxchgb"
    fn ismnemonic,"comiss"
    fn ismnemonic,"cpuid"
    fn ismnemonic,"cvtpips"
    fn ismnemonic,"cvtpspi"
    fn ismnemonic,"cvtsiss"
    fn ismnemonic,"cvtsssi"
    fn ismnemonic,"cvttpspi"
    fn ismnemonic,"cvttsssi"
    fn ismnemonic,"cwd"
    fn ismnemonic,"cwde"
    fn ismnemonic,"daa"
    fn ismnemonic,"das"
    fn ismnemonic,"dec"
    fn ismnemonic,"div"
    fn ismnemonic,"divps"
    fn ismnemonic,"divss"
    fn ismnemonic,"emms"
    fn ismnemonic,"enter"
    fn ismnemonic,"fxm"
    fn ismnemonic,"fabs"
    fn ismnemonic,"fadd"
    fn ismnemonic,"faddp"
    fn ismnemonic,"fbld"
    fn ismnemonic,"fbstp"
    fn ismnemonic,"fchs"
    fn ismnemonic,"fclex"
    fn ismnemonic,"fcmovb"
    fn ismnemonic,"fcmovbe"
    fn ismnemonic,"fcmove"
    fn ismnemonic,"fcmovnb"
    fn ismnemonic,"fcmovnbe"
    fn ismnemonic,"fcmovne"
    fn ismnemonic,"fcmovnu"
    fn ismnemonic,"fcmovu"
    fn ismnemonic,"fcom"
    fn ismnemonic,"fcomi"
    fn ismnemonic,"fcomip"
    fn ismnemonic,"fcomp"
    fn ismnemonic,"fcompp"
    fn ismnemonic,"fcos"
    fn ismnemonic,"fdecstp"
    fn ismnemonic,"fdiv"
    fn ismnemonic,"fdivp"
    fn ismnemonic,"fdivr"
    fn ismnemonic,"fdivrp"
    fn ismnemonic,"ffree"
    fn ismnemonic,"fiadd"
    fn ismnemonic,"ficom"
    fn ismnemonic,"ficomp"
    fn ismnemonic,"fidiv"
    fn ismnemonic,"fidivr"
    fn ismnemonic,"fild"
    fn ismnemonic,"fimul"
    fn ismnemonic,"fincstp"
    fn ismnemonic,"finit"
    fn ismnemonic,"fist"
    fn ismnemonic,"fistp"
    fn ismnemonic,"fisub"
    fn ismnemonic,"fisubr"
    fn ismnemonic,"fld"
    fn ismnemonic,"fld"
    fn ismnemonic,"fldcw"
    fn ismnemonic,"fldenv"
    fn ismnemonic,"fldle"
    fn ismnemonic,"fldlt"
    fn ismnemonic,"fldlg"
    fn ismnemonic,"fldln"
    fn ismnemonic,"fldpi"
    fn ismnemonic,"fldz"
    fn ismnemonic,"fmul"
    fn ismnemonic,"fmulp"
    fn ismnemonic,"fnclex"
    fn ismnemonic,"fninit"
    fn ismnemonic,"fnop"
    fn ismnemonic,"fnsave"
    fn ismnemonic,"fnstcw"
    fn ismnemonic,"fnstenv"
    fn ismnemonic,"fnstsw"
    fn ismnemonic,"fpatan"
    fn ismnemonic,"fprem"
    fn ismnemonic,"fprem"
    fn ismnemonic,"frndint"
    fn ismnemonic,"frstor"
    fn ismnemonic,"fsave"
    fn ismnemonic,"fscale"
    fn ismnemonic,"fsin"
    fn ismnemonic,"fsincos"
    fn ismnemonic,"fsqrt"
    fn ismnemonic,"fst"
    fn ismnemonic,"fstcw"
    fn ismnemonic,"fstenv"
    fn ismnemonic,"fstp"
    fn ismnemonic,"fstsw"
    fn ismnemonic,"fsub"
    fn ismnemonic,"fsubp"
    fn ismnemonic,"fsubr"
    fn ismnemonic,"fsubrp"
    fn ismnemonic,"ftst"
    fn ismnemonic,"fucom"
    fn ismnemonic,"fucomi"
    fn ismnemonic,"fucomip"
    fn ismnemonic,"fucomp"
    fn ismnemonic,"fucompp"
    fn ismnemonic,"fwait"
    fn ismnemonic,"fxam"
    fn ismnemonic,"fxch"
    fn ismnemonic,"fxrstor"
    fn ismnemonic,"fxsave"
    fn ismnemonic,"fxtract"
    fn ismnemonic,"fylx"
    fn ismnemonic,"fylxp"
    fn ismnemonic,"hlt"
    fn ismnemonic,"idiv"
    fn ismnemonic,"imul"
    fn ismnemonic,"in"
    fn ismnemonic,"inc"
    fn ismnemonic,"ins"
    fn ismnemonic,"insb"
    fn ismnemonic,"insd"
    fn ismnemonic,"insw"
    fn ismnemonic,"int"
    fn ismnemonic,"into"
    fn ismnemonic,"invd"
    fn ismnemonic,"invlpg"
    fn ismnemonic,"iret"
    fn ismnemonic,"iretd"
    fn ismnemonic,"ja"
    fn ismnemonic,"jae"
    fn ismnemonic,"jb"
    fn ismnemonic,"jbe"
    fn ismnemonic,"jc"
    fn ismnemonic,"jcxz"
    fn ismnemonic,"je"
    fn ismnemonic,"jecxz"
    fn ismnemonic,"jg"
    fn ismnemonic,"jge"
    fn ismnemonic,"jl"
    fn ismnemonic,"jle"
    fn ismnemonic,"jmp"
    fn ismnemonic,"jna"
    fn ismnemonic,"jnae"
    fn ismnemonic,"jnb"
    fn ismnemonic,"jnbe"
    fn ismnemonic,"jnc"
    fn ismnemonic,"jne"
    fn ismnemonic,"jng"
    fn ismnemonic,"jnge"
    fn ismnemonic,"jnl"
    fn ismnemonic,"jnle"
    fn ismnemonic,"jno"
    fn ismnemonic,"jnp"
    fn ismnemonic,"jns"
    fn ismnemonic,"jnz"
    fn ismnemonic,"jo"
    fn ismnemonic,"jp"
    fn ismnemonic,"jpe"
    fn ismnemonic,"jpo"
    fn ismnemonic,"js"
    fn ismnemonic,"jz"
    fn ismnemonic,"lahf"
    fn ismnemonic,"lar"
    fn ismnemonic,"ldmxcsr"
    fn ismnemonic,"lds"
    fn ismnemonic,"lea"
    fn ismnemonic,"leave"
    fn ismnemonic,"les"
    fn ismnemonic,"lfs"
    fn ismnemonic,"lgdt"
    fn ismnemonic,"lgs"
    fn ismnemonic,"lidt"
    fn ismnemonic,"lldt"
    fn ismnemonic,"lmsw"
    fn ismnemonic,"lock"
    fn ismnemonic,"lods"
    fn ismnemonic,"lodsb"
    fn ismnemonic,"lodsd"
    fn ismnemonic,"lodsw"
    fn ismnemonic,"loop"
    fn ismnemonic,"loope"
    fn ismnemonic,"loopne"
    fn ismnemonic,"loopnz"
    fn ismnemonic,"loopz"
    fn ismnemonic,"lsl"
    fn ismnemonic,"lss"
    fn ismnemonic,"ltr"
    fn ismnemonic,"maskmovq"
    fn ismnemonic,"maxps"
    fn ismnemonic,"maxss"
    fn ismnemonic,"minps"
    fn ismnemonic,"minss"
    fn ismnemonic,"mov"
    fn ismnemonic,"movaps"
    fn ismnemonic,"movd"
    fn ismnemonic,"movhps"
    fn ismnemonic,"movlps"
    fn ismnemonic,"movmskps"
    fn ismnemonic,"movntps"
    fn ismnemonic,"movntq"
    fn ismnemonic,"movq"
    fn ismnemonic,"movs"
    fn ismnemonic,"movsb"
    fn ismnemonic,"movsd"
    fn ismnemonic,"movss"
    fn ismnemonic,"movsw"
    fn ismnemonic,"movsx"
    fn ismnemonic,"movups"
    fn ismnemonic,"movzx"
    fn ismnemonic,"mul"
    fn ismnemonic,"mulps"
    fn ismnemonic,"mulss"
    fn ismnemonic,"neg"
    fn ismnemonic,"nop"
    fn ismnemonic,"not"
    fn ismnemonic,"or"
    fn ismnemonic,"orps"
    fn ismnemonic,"out"
    fn ismnemonic,"outs"
    fn ismnemonic,"outsb"
    fn ismnemonic,"outsd"
    fn ismnemonic,"outsw"
    fn ismnemonic,"packssdw"
    fn ismnemonic,"packsswb"
    fn ismnemonic,"packuswb"
    fn ismnemonic,"paddb"
    fn ismnemonic,"paddd"
    fn ismnemonic,"paddsb"
    fn ismnemonic,"paddsw"
    fn ismnemonic,"paddusb"
    fn ismnemonic,"paddusw"
    fn ismnemonic,"paddw"
    fn ismnemonic,"pand"
    fn ismnemonic,"pandn"
    fn ismnemonic,"pavgb"
    fn ismnemonic,"pavgw"
    fn ismnemonic,"pcmpeqb"
    fn ismnemonic,"pcmpeqd"
    fn ismnemonic,"pcmpeqw"
    fn ismnemonic,"pcmpgtb"
    fn ismnemonic,"pcmpgtd"
    fn ismnemonic,"pcmpgtw"
    fn ismnemonic,"pextrw"
    fn ismnemonic,"pinsrw"
    fn ismnemonic,"pmaddwd"
    fn ismnemonic,"pmaxsw"
    fn ismnemonic,"pmaxub"
    fn ismnemonic,"pminsw"
    fn ismnemonic,"pminub"
    fn ismnemonic,"pmovmskb"
    fn ismnemonic,"pmulhuw"
    fn ismnemonic,"pmulhw"
    fn ismnemonic,"pmullw"
    fn ismnemonic,"pop"
    fn ismnemonic,"popa"
    fn ismnemonic,"popad"
    fn ismnemonic,"popf"
    fn ismnemonic,"popfd"
    fn ismnemonic,"por"
    fn ismnemonic,"prefetchnta"
    fn ismnemonic,"prefetcht"
    fn ismnemonic,"prefetcht"
    fn ismnemonic,"prefetcht"
    fn ismnemonic,"psadbw"
    fn ismnemonic,"pshufw"
    fn ismnemonic,"pslld"
    fn ismnemonic,"psllq"
    fn ismnemonic,"psllw"
    fn ismnemonic,"psrad"
    fn ismnemonic,"psraw"
    fn ismnemonic,"psrld"
    fn ismnemonic,"psrlq"
    fn ismnemonic,"psrlw"
    fn ismnemonic,"psubb"
    fn ismnemonic,"psubd"
    fn ismnemonic,"psubsb"
    fn ismnemonic,"psubsw"
    fn ismnemonic,"psubusb"
    fn ismnemonic,"psubusw"
    fn ismnemonic,"psubw"
    fn ismnemonic,"punpckhbw"
    fn ismnemonic,"punpckhdq"
    fn ismnemonic,"punpckhwd"
    fn ismnemonic,"punpcklbw"
    fn ismnemonic,"punpckldq"
    fn ismnemonic,"punpcklwd"
    fn ismnemonic,"push"
    fn ismnemonic,"pusha"
    fn ismnemonic,"pushad"
    fn ismnemonic,"pushf"
    fn ismnemonic,"pushfd"
    fn ismnemonic,"pxor"
    fn ismnemonic,"rcl"
    fn ismnemonic,"rcpps"
    fn ismnemonic,"rcpss"
    fn ismnemonic,"rcr"
    fn ismnemonic,"rdmsr"
    fn ismnemonic,"rdpmc"
    fn ismnemonic,"rdtsc"
    fn ismnemonic,"rep"
    fn ismnemonic,"repe"
    fn ismnemonic,"repne"
    fn ismnemonic,"ret"
    fn ismnemonic,"rol"
    fn ismnemonic,"ror"
    fn ismnemonic,"rsm"
    fn ismnemonic,"rsqrtps"
    fn ismnemonic,"rsqrtss"
    fn ismnemonic,"sal"
    fn ismnemonic,"sar"
    fn ismnemonic,"sbb"
    fn ismnemonic,"scas"
    fn ismnemonic,"scasb"
    fn ismnemonic,"scasd"
    fn ismnemonic,"scasw"
    fn ismnemonic,"seta"
    fn ismnemonic,"setae"
    fn ismnemonic,"setb"
    fn ismnemonic,"setbe"
    fn ismnemonic,"setc"
    fn ismnemonic,"sete"
    fn ismnemonic,"setg"
    fn ismnemonic,"setge"
    fn ismnemonic,"setl"
    fn ismnemonic,"setle"
    fn ismnemonic,"setna"
    fn ismnemonic,"setnae"
    fn ismnemonic,"setnb"
    fn ismnemonic,"setnbe"
    fn ismnemonic,"setnc"
    fn ismnemonic,"setne"
    fn ismnemonic,"setng"
    fn ismnemonic,"setnge"
    fn ismnemonic,"setnl"
    fn ismnemonic,"setnle"
    fn ismnemonic,"setno"
    fn ismnemonic,"setnp"
    fn ismnemonic,"setns"
    fn ismnemonic,"setnz"
    fn ismnemonic,"seto"
    fn ismnemonic,"setp"
    fn ismnemonic,"setpe"
    fn ismnemonic,"setpo"
    fn ismnemonic,"sets"
    fn ismnemonic,"setz"
    fn ismnemonic,"sfence"
    fn ismnemonic,"sgdt"
    fn ismnemonic,"shl"
    fn ismnemonic,"shld"
    fn ismnemonic,"shr"
    fn ismnemonic,"shrd"
    fn ismnemonic,"shufps"
    fn ismnemonic,"sidt"
    fn ismnemonic,"sldt"
    fn ismnemonic,"smsw"
    fn ismnemonic,"sqrtps"
    fn ismnemonic,"sqrtss"
    fn ismnemonic,"stc"
    fn ismnemonic,"std"
    fn ismnemonic,"sti"
    fn ismnemonic,"stmxcsr"
    fn ismnemonic,"stos"
    fn ismnemonic,"stosb"
    fn ismnemonic,"stosd"
    fn ismnemonic,"stosw"
    fn ismnemonic,"str"
    fn ismnemonic,"sub"
    fn ismnemonic,"subps"
    fn ismnemonic,"subss"
    fn ismnemonic,"sysenter"
    fn ismnemonic,"sysexit"
    fn ismnemonic,"test"
    fn ismnemonic,"ucomiss"
    fn ismnemonic,"ud"
    fn ismnemonic,"unpckhps"
    fn ismnemonic,"unpcklps"
    fn ismnemonic,"verr"
    fn ismnemonic,"verw"
    fn ismnemonic,"wait"
    fn ismnemonic,"wbinvd"
    fn ismnemonic,"wrmsr"
    fn ismnemonic,"xadd"
    fn ismnemonic,"xchg"
    fn ismnemonic,"xlat"
    fn ismnemonic,"xlatb"
    fn ismnemonic,"xor"
    fn ismnemonic,"xorps"
    fn ismnemonic,"AAA"
    fn ismnemonic,"AAD"
    fn ismnemonic,"AAM"
    fn ismnemonic,"AAS"
    fn ismnemonic,"ADC"
    fn ismnemonic,"ADD"
    fn ismnemonic,"ADDPS"
    fn ismnemonic,"ADDSS"
    fn ismnemonic,"AND"
    fn ismnemonic,"ANDNPS"
    fn ismnemonic,"ANDPS"
    fn ismnemonic,"ARPL"
    fn ismnemonic,"BOUND"
    fn ismnemonic,"BSF"
    fn ismnemonic,"BSR"
    fn ismnemonic,"BSWAP"
    fn ismnemonic,"BT"
    fn ismnemonic,"BTC"
    fn ismnemonic,"BTR"
    fn ismnemonic,"BTS"
    fn ismnemonic,"CALL"
    fn ismnemonic,"CBW"
    fn ismnemonic,"CDQ"
    fn ismnemonic,"CLC"
    fn ismnemonic,"CLD"
    fn ismnemonic,"CLI"
    fn ismnemonic,"CLTS"
    fn ismnemonic,"CMC"
    fn ismnemonic,"CMOVA"
    fn ismnemonic,"CMOVAE"
    fn ismnemonic,"CMOVB"
    fn ismnemonic,"CMOVBE"
    fn ismnemonic,"CMOVC"
    fn ismnemonic,"CMOVE"
    fn ismnemonic,"CMOVG"
    fn ismnemonic,"CMOVGE"
    fn ismnemonic,"CMOVL"
    fn ismnemonic,"CMOVLE"
    fn ismnemonic,"CMOVNA"
    fn ismnemonic,"CMOVNAE"
    fn ismnemonic,"CMOVNB"
    fn ismnemonic,"CMOVNBE"
    fn ismnemonic,"CMOVNC"
    fn ismnemonic,"CMOVNE"
    fn ismnemonic,"CMOVNG"
    fn ismnemonic,"CMOVNGE"
    fn ismnemonic,"CMOVNL"
    fn ismnemonic,"CMOVNLE"
    fn ismnemonic,"CMOVNO"
    fn ismnemonic,"CMOVNP"
    fn ismnemonic,"CMOVNS"
    fn ismnemonic,"CMOVNZ"
    fn ismnemonic,"CMOVO"
    fn ismnemonic,"CMOVP"
    fn ismnemonic,"CMOVPE"
    fn ismnemonic,"CMOVPO"
    fn ismnemonic,"CMOVS"
    fn ismnemonic,"CMOVZ"
    fn ismnemonic,"CMP"
    fn ismnemonic,"CMPPS"
    fn ismnemonic,"CMPS"
    fn ismnemonic,"CMPSB"
    fn ismnemonic,"CMPSD"
    fn ismnemonic,"CMPSS"
    fn ismnemonic,"CMPSW"
    fn ismnemonic,"CMPXCHG"
    fn ismnemonic,"CMPXCHGB"
    fn ismnemonic,"COMISS"
    fn ismnemonic,"CPUID"
    fn ismnemonic,"CVTPIPS"
    fn ismnemonic,"CVTPSPI"
    fn ismnemonic,"CVTSISS"
    fn ismnemonic,"CVTSSSI"
    fn ismnemonic,"CVTTPSPI"
    fn ismnemonic,"CVTTSSSI"
    fn ismnemonic,"CWD"
    fn ismnemonic,"CWDE"
    fn ismnemonic,"DAA"
    fn ismnemonic,"DAS"
    fn ismnemonic,"DEC"
    fn ismnemonic,"DIV"
    fn ismnemonic,"DIVPS"
    fn ismnemonic,"DIVSS"
    fn ismnemonic,"EMMS"
    fn ismnemonic,"ENTER"
    fn ismnemonic,"FXM"
    fn ismnemonic,"FABS"
    fn ismnemonic,"FADD"
    fn ismnemonic,"FADDP"
    fn ismnemonic,"FBLD"
    fn ismnemonic,"FBSTP"
    fn ismnemonic,"FCHS"
    fn ismnemonic,"FCLEX"
    fn ismnemonic,"FCMOVB"
    fn ismnemonic,"FCMOVBE"
    fn ismnemonic,"FCMOVE"
    fn ismnemonic,"FCMOVNB"
    fn ismnemonic,"FCMOVNBE"
    fn ismnemonic,"FCMOVNE"
    fn ismnemonic,"FCMOVNU"
    fn ismnemonic,"FCMOVU"
    fn ismnemonic,"FCOM"
    fn ismnemonic,"FCOMI"
    fn ismnemonic,"FCOMIP"
    fn ismnemonic,"FCOMP"
    fn ismnemonic,"FCOMPP"
    fn ismnemonic,"FCOS"
    fn ismnemonic,"FDECSTP"
    fn ismnemonic,"FDIV"
    fn ismnemonic,"FDIVP"
    fn ismnemonic,"FDIVR"
    fn ismnemonic,"FDIVRP"
    fn ismnemonic,"FFREE"
    fn ismnemonic,"FIADD"
    fn ismnemonic,"FICOM"
    fn ismnemonic,"FICOMP"
    fn ismnemonic,"FIDIV"
    fn ismnemonic,"FIDIVR"
    fn ismnemonic,"FILD"
    fn ismnemonic,"FIMUL"
    fn ismnemonic,"FINCSTP"
    fn ismnemonic,"FINIT"
    fn ismnemonic,"FIST"
    fn ismnemonic,"FISTP"
    fn ismnemonic,"FISUB"
    fn ismnemonic,"FISUBR"
    fn ismnemonic,"FLD"
    fn ismnemonic,"FLD"
    fn ismnemonic,"FLDCW"
    fn ismnemonic,"FLDENV"
    fn ismnemonic,"FLDLE"
    fn ismnemonic,"FLDLT"
    fn ismnemonic,"FLDLG"
    fn ismnemonic,"FLDLN"
    fn ismnemonic,"FLDPI"
    fn ismnemonic,"FLDZ"
    fn ismnemonic,"FMUL"
    fn ismnemonic,"FMULP"
    fn ismnemonic,"FNCLEX"
    fn ismnemonic,"FNINIT"
    fn ismnemonic,"FNOP"
    fn ismnemonic,"FNSAVE"
    fn ismnemonic,"FNSTCW"
    fn ismnemonic,"FNSTENV"
    fn ismnemonic,"FNSTSW"
    fn ismnemonic,"FPATAN"
    fn ismnemonic,"FPREM"
    fn ismnemonic,"FPREM"
    fn ismnemonic,"FRNDINT"
    fn ismnemonic,"FRSTOR"
    fn ismnemonic,"FSAVE"
    fn ismnemonic,"FSCALE"
    fn ismnemonic,"FSIN"
    fn ismnemonic,"FSINCOS"
    fn ismnemonic,"FSQRT"
    fn ismnemonic,"FST"
    fn ismnemonic,"FSTCW"
    fn ismnemonic,"FSTENV"
    fn ismnemonic,"FSTP"
    fn ismnemonic,"FSTSW"
    fn ismnemonic,"FSUB"
    fn ismnemonic,"FSUBP"
    fn ismnemonic,"FSUBR"
    fn ismnemonic,"FSUBRP"
    fn ismnemonic,"FTST"
    fn ismnemonic,"FUCOM"
    fn ismnemonic,"FUCOMI"
    fn ismnemonic,"FUCOMIP"
    fn ismnemonic,"FUCOMP"
    fn ismnemonic,"FUCOMPP"
    fn ismnemonic,"FWAIT"
    fn ismnemonic,"FXAM"
    fn ismnemonic,"FXCH"
    fn ismnemonic,"FXRSTOR"
    fn ismnemonic,"FXSAVE"
    fn ismnemonic,"FXTRACT"
    fn ismnemonic,"FYLX"
    fn ismnemonic,"FYLXP"
    fn ismnemonic,"HLT"
    fn ismnemonic,"IDIV"
    fn ismnemonic,"IMUL"
    fn ismnemonic,"IN"
    fn ismnemonic,"INC"
    fn ismnemonic,"INS"
    fn ismnemonic,"INSB"
    fn ismnemonic,"INSD"
    fn ismnemonic,"INSW"
    fn ismnemonic,"INT"
    fn ismnemonic,"INTO"
    fn ismnemonic,"INVD"
    fn ismnemonic,"INVLPG"
    fn ismnemonic,"IRET"
    fn ismnemonic,"IRETD"
    fn ismnemonic,"JA"
    fn ismnemonic,"JAE"
    fn ismnemonic,"JB"
    fn ismnemonic,"JBE"
    fn ismnemonic,"JC"
    fn ismnemonic,"JCXZ"
    fn ismnemonic,"JE"
    fn ismnemonic,"JECXZ"
    fn ismnemonic,"JG"
    fn ismnemonic,"JGE"
    fn ismnemonic,"JL"
    fn ismnemonic,"JLE"
    fn ismnemonic,"JMP"
    fn ismnemonic,"JNA"
    fn ismnemonic,"JNAE"
    fn ismnemonic,"JNB"
    fn ismnemonic,"JNBE"
    fn ismnemonic,"JNC"
    fn ismnemonic,"JNE"
    fn ismnemonic,"JNG"
    fn ismnemonic,"JNGE"
    fn ismnemonic,"JNL"
    fn ismnemonic,"JNLE"
    fn ismnemonic,"JNO"
    fn ismnemonic,"JNP"
    fn ismnemonic,"JNS"
    fn ismnemonic,"JNZ"
    fn ismnemonic,"JO"
    fn ismnemonic,"JP"
    fn ismnemonic,"JPE"
    fn ismnemonic,"JPO"
    fn ismnemonic,"JS"
    fn ismnemonic,"JZ"
    fn ismnemonic,"LAHF"
    fn ismnemonic,"LAR"
    fn ismnemonic,"LDMXCSR"
    fn ismnemonic,"LDS"
    fn ismnemonic,"LEA"
    fn ismnemonic,"LEAVE"
    fn ismnemonic,"LES"
    fn ismnemonic,"LFS"
    fn ismnemonic,"LGDT"
    fn ismnemonic,"LGS"
    fn ismnemonic,"LIDT"
    fn ismnemonic,"LLDT"
    fn ismnemonic,"LMSW"
    fn ismnemonic,"LOCK"
    fn ismnemonic,"LODS"
    fn ismnemonic,"LODSB"
    fn ismnemonic,"LODSD"
    fn ismnemonic,"LODSW"
    fn ismnemonic,"LOOP"
    fn ismnemonic,"LOOPE"
    fn ismnemonic,"LOOPNE"
    fn ismnemonic,"LOOPNZ"
    fn ismnemonic,"LOOPZ"
    fn ismnemonic,"LSL"
    fn ismnemonic,"LSS"
    fn ismnemonic,"LTR"
    fn ismnemonic,"MASKMOVQ"
    fn ismnemonic,"MAXPS"
    fn ismnemonic,"MAXSS"
    fn ismnemonic,"MINPS"
    fn ismnemonic,"MINSS"
    fn ismnemonic,"MOV"
    fn ismnemonic,"MOVAPS"
    fn ismnemonic,"MOVD"
    fn ismnemonic,"MOVHPS"
    fn ismnemonic,"MOVLPS"
    fn ismnemonic,"MOVMSKPS"
    fn ismnemonic,"MOVNTPS"
    fn ismnemonic,"MOVNTQ"
    fn ismnemonic,"MOVQ"
    fn ismnemonic,"MOVS"
    fn ismnemonic,"MOVSB"
    fn ismnemonic,"MOVSD"
    fn ismnemonic,"MOVSS"
    fn ismnemonic,"MOVSW"
    fn ismnemonic,"MOVSX"
    fn ismnemonic,"MOVUPS"
    fn ismnemonic,"MOVZX"
    fn ismnemonic,"MUL"
    fn ismnemonic,"MULPS"
    fn ismnemonic,"MULSS"
    fn ismnemonic,"NEG"
    fn ismnemonic,"NOP"
    fn ismnemonic,"NOT"
    fn ismnemonic,"OR"
    fn ismnemonic,"ORPS"
    fn ismnemonic,"OUT"
    fn ismnemonic,"OUTS"
    fn ismnemonic,"OUTSB"
    fn ismnemonic,"OUTSD"
    fn ismnemonic,"OUTSW"
    fn ismnemonic,"PACKSSDW"
    fn ismnemonic,"PACKSSWB"
    fn ismnemonic,"PACKUSWB"
    fn ismnemonic,"PADDB"
    fn ismnemonic,"PADDD"
    fn ismnemonic,"PADDSB"
    fn ismnemonic,"PADDSW"
    fn ismnemonic,"PADDUSB"
    fn ismnemonic,"PADDUSW"
    fn ismnemonic,"PADDW"
    fn ismnemonic,"PAND"
    fn ismnemonic,"PANDN"
    fn ismnemonic,"PAVGB"
    fn ismnemonic,"PAVGW"
    fn ismnemonic,"PCMPEQB"
    fn ismnemonic,"PCMPEQD"
    fn ismnemonic,"PCMPEQW"
    fn ismnemonic,"PCMPGTB"
    fn ismnemonic,"PCMPGTD"
    fn ismnemonic,"PCMPGTW"
    fn ismnemonic,"PEXTRW"
    fn ismnemonic,"PINSRW"
    fn ismnemonic,"PMADDWD"
    fn ismnemonic,"PMAXSW"
    fn ismnemonic,"PMAXUB"
    fn ismnemonic,"PMINSW"
    fn ismnemonic,"PMINUB"
    fn ismnemonic,"PMOVMSKB"
    fn ismnemonic,"PMULHUW"
    fn ismnemonic,"PMULHW"
    fn ismnemonic,"PMULLW"
    fn ismnemonic,"POP"
    fn ismnemonic,"POPA"
    fn ismnemonic,"POPAD"
    fn ismnemonic,"POPF"
    fn ismnemonic,"POPFD"
    fn ismnemonic,"POR"
    fn ismnemonic,"PREFETCHNTA"
    fn ismnemonic,"PREFETCHT"
    fn ismnemonic,"PREFETCHT"
    fn ismnemonic,"PREFETCHT"
    fn ismnemonic,"PSADBW"
    fn ismnemonic,"PSHUFW"
    fn ismnemonic,"PSLLD"
    fn ismnemonic,"PSLLQ"
    fn ismnemonic,"PSLLW"
    fn ismnemonic,"PSRAD"
    fn ismnemonic,"PSRAW"
    fn ismnemonic,"PSRLD"
    fn ismnemonic,"PSRLQ"
    fn ismnemonic,"PSRLW"
    fn ismnemonic,"PSUBB"
    fn ismnemonic,"PSUBD"
    fn ismnemonic,"PSUBSB"
    fn ismnemonic,"PSUBSW"
    fn ismnemonic,"PSUBUSB"
    fn ismnemonic,"PSUBUSW"
    fn ismnemonic,"PSUBW"
    fn ismnemonic,"PUNPCKHBW"
    fn ismnemonic,"PUNPCKHDQ"
    fn ismnemonic,"PUNPCKHWD"
    fn ismnemonic,"PUNPCKLBW"
    fn ismnemonic,"PUNPCKLDQ"
    fn ismnemonic,"PUNPCKLWD"
    fn ismnemonic,"PUSH"
    fn ismnemonic,"PUSHA"
    fn ismnemonic,"PUSHAD"
    fn ismnemonic,"PUSHF"
    fn ismnemonic,"PUSHFD"
    fn ismnemonic,"PXOR"
    fn ismnemonic,"RCL"
    fn ismnemonic,"RCPPS"
    fn ismnemonic,"RCPSS"
    fn ismnemonic,"RCR"
    fn ismnemonic,"RDMSR"
    fn ismnemonic,"RDPMC"
    fn ismnemonic,"RDTSC"
    fn ismnemonic,"REP"
    fn ismnemonic,"REPE"
    fn ismnemonic,"REPNE"
    fn ismnemonic,"RET"
    fn ismnemonic,"ROL"
    fn ismnemonic,"ROR"
    fn ismnemonic,"RSM"
    fn ismnemonic,"RSQRTPS"
    fn ismnemonic,"RSQRTSS"
    fn ismnemonic,"SAL"
    fn ismnemonic,"SAR"
    fn ismnemonic,"SBB"
    fn ismnemonic,"SCAS"
    fn ismnemonic,"SCASB"
    fn ismnemonic,"SCASD"
    fn ismnemonic,"SCASW"
    fn ismnemonic,"SETA"
    fn ismnemonic,"SETAE"
    fn ismnemonic,"SETB"
    fn ismnemonic,"SETBE"
    fn ismnemonic,"SETC"
    fn ismnemonic,"SETE"
    fn ismnemonic,"SETG"
    fn ismnemonic,"SETGE"
    fn ismnemonic,"SETL"
    fn ismnemonic,"SETLE"
    fn ismnemonic,"SETNA"
    fn ismnemonic,"SETNAE"
    fn ismnemonic,"SETNB"
    fn ismnemonic,"SETNBE"
    fn ismnemonic,"SETNC"
    fn ismnemonic,"SETNE"
    fn ismnemonic,"SETNG"
    fn ismnemonic,"SETNGE"
    fn ismnemonic,"SETNL"
    fn ismnemonic,"SETNLE"
    fn ismnemonic,"SETNO"
    fn ismnemonic,"SETNP"
    fn ismnemonic,"SETNS"
    fn ismnemonic,"SETNZ"
    fn ismnemonic,"SETO"
    fn ismnemonic,"SETP"
    fn ismnemonic,"SETPE"
    fn ismnemonic,"SETPO"
    fn ismnemonic,"SETS"
    fn ismnemonic,"SETZ"
    fn ismnemonic,"SFENCE"
    fn ismnemonic,"SGDT"
    fn ismnemonic,"SHL"
    fn ismnemonic,"SHLD"
    fn ismnemonic,"SHR"
    fn ismnemonic,"SHRD"
    fn ismnemonic,"SHUFPS"
    fn ismnemonic,"SIDT"
    fn ismnemonic,"SLDT"
    fn ismnemonic,"SMSW"
    fn ismnemonic,"SQRTPS"
    fn ismnemonic,"SQRTSS"
    fn ismnemonic,"STC"
    fn ismnemonic,"STD"
    fn ismnemonic,"STI"
    fn ismnemonic,"STMXCSR"
    fn ismnemonic,"STOS"
    fn ismnemonic,"STOSB"
    fn ismnemonic,"STOSD"
    fn ismnemonic,"STOSW"
    fn ismnemonic,"STR"
    fn ismnemonic,"SUB"
    fn ismnemonic,"SUBPS"
    fn ismnemonic,"SUBSS"
    fn ismnemonic,"SYSENTER"
    fn ismnemonic,"SYSEXIT"
    fn ismnemonic,"TEST"
    fn ismnemonic,"UCOMISS"
    fn ismnemonic,"UD"
    fn ismnemonic,"UNPCKHPS"
    fn ismnemonic,"UNPCKLPS"
    fn ismnemonic,"VERR"
    fn ismnemonic,"VERW"
    fn ismnemonic,"WAIT"
    fn ismnemonic,"WBINVD"
    fn ismnemonic,"WRMSR"
    fn ismnemonic,"XADD"
    fn ismnemonic,"XCHG"
    fn ismnemonic,"XLAT"
    fn ismnemonic,"XLATB"
    fn ismnemonic,"XOR"
    fn ismnemonic,"XORPS"

    sub esi, 1
    jnz @B

    invoke GetTickCount
    sub eax, tc1
    mov esi, eax

    invoke IntDiv, 9040000, esi ; divide count by milliseconds duration
    invoke IntMul, eax, 1000    ; multiply by 1000 to get matches per second
    mov esi, eax
    
    mov str1, ptr$(buffer1)
    mov str1, cat$(str1,ustr$(esi)," word matches per second")

    fn MessageBox,hWnd,str1,"9040000 word comparisons",MB_OK

    pop esi
    ret

benchmark endp

; 

runtest proc

    push esi
    mov esi, 10
    jmp @F

  align 16
  @@:
    fn ismnemonic,"aaa"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"aad"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"aam"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"aas"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"adc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"add"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"addps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"addss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"and"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"andnps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"andps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"arpl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"bound"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"bsf"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"bsr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"bswap"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"bt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"btc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"btr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"bts"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"call"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cbw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cdq"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"clc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cld"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cli"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"clts"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmova"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovae"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovbe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmove"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovg"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovge"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovle"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovna"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnae"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnbe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovne"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovng"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnge"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnle"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovno"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovns"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovnz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovo"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovpe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovpo"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovs"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmovz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmpps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmpsb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmpsd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmpss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmpsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmpxchg"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cmpxchgb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"comiss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cpuid"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cvtpips"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cvtpspi"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cvtsiss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cvtsssi"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cvttpspi"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cvttsssi"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cwd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"cwde"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"daa"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"das"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"dec"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"div"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"divps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"divss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"emms"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"enter"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fxm"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fabs"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fadd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"faddp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fbld"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fbstp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fchs"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fclex"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcmovb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcmovbe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcmove"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcmovnb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcmovnbe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcmovne"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcmovnu"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcmovu"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcom"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcomi"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcomip"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcomp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcompp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fcos"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fdecstp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fdiv"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fdivp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fdivr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fdivrp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ffree"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fiadd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ficom"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ficomp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fidiv"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fidivr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fild"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fimul"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fincstp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"finit"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fist"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fistp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fisub"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fisubr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fld"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fld"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fldcw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fldenv"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fldle"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fldlt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fldlg"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fldln"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fldpi"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fldz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fmul"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fmulp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fnclex"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fninit"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fnop"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fnsave"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fnstcw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fnstenv"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fnstsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fpatan"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fprem"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fprem"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"frndint"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"frstor"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fsave"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fscale"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fsin"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fsincos"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fsqrt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fst"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fstcw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fstenv"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fstp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fstsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fsub"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fsubp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fsubr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fsubrp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ftst"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fucom"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fucomi"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fucomip"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fucomp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fucompp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fwait"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fxam"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fxch"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fxrstor"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fxsave"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fxtract"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fylx"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"fylxp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"hlt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"idiv"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"imul"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"in"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"inc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ins"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"insb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"insd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"insw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"int"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"into"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"invd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"invlpg"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"iret"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"iretd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ja"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jae"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jbe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jcxz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"je"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jecxz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jg"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jge"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jle"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jmp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jna"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnae"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnbe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jne"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jng"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnge"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnle"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jno"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jns"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jnz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jo"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jpe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jpo"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"js"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"jz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lahf"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lar"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ldmxcsr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lds"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lea"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"leave"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"les"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lfs"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lgdt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lgs"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lidt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lldt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lmsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lock"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lods"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lodsb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lodsd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lodsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"loop"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"loope"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"loopne"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"loopnz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"loopz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lsl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"lss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ltr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"maskmovq"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"maxps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"maxss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"minps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"minss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"mov"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movaps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movhps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movlps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movmskps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movntps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movntq"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movq"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movs"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movsb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movsd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movsx"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movups"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"movzx"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"mul"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"mulps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"mulss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"neg"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"nop"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"not"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"or"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"orps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"out"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"outs"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"outsb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"outsd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"outsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"packssdw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"packsswb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"packuswb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"paddb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"paddd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"paddsb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"paddsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"paddusb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"paddusw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"paddw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pand"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pandn"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pavgb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pavgw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pcmpeqb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pcmpeqd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pcmpeqw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pcmpgtb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pcmpgtd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pcmpgtw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pextrw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pinsrw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pmaddwd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pmaxsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pmaxub"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pminsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pminub"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pmovmskb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pmulhuw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pmulhw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pmullw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pop"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"popa"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"popad"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"popf"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"popfd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"por"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"prefetchnta"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"prefetcht"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"prefetcht"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"prefetcht"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psadbw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pshufw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pslld"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psllq"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psllw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psrad"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psraw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psrld"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psrlq"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psrlw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psubb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psubd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psubsb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psubsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psubusb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psubusw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"psubw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"punpckhbw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"punpckhdq"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"punpckhwd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"punpcklbw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"punpckldq"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"punpcklwd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"push"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pusha"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pushad"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pushf"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pushfd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"pxor"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rcl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rcpps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rcpss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rcr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rdmsr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rdpmc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rdtsc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rep"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"repe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"repne"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ret"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rol"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ror"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rsm"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rsqrtps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"rsqrtss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sal"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sar"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sbb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"scas"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"scasb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"scasd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"scasw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"seta"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setae"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setbe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sete"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setg"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setge"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setle"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setna"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnae"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnbe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setne"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setng"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnge"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnle"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setno"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setns"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setnz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"seto"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setp"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setpe"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setpo"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sets"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"setz"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sfence"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sgdt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"shl"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"shld"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"shr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"shrd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"shufps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sidt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sldt"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"smsw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sqrtps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sqrtss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"stc"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"std"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sti"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"stmxcsr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"stos"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"stosb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"stosd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"stosw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"str"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sub"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"subps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"subss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sysenter"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"sysexit"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"test"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ucomiss"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ud"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"unpckhps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"unpcklps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"verr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"verw"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"wait"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"wbinvd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"wrmsr"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"xadd"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"xchg"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"xlat"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"xlatb"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"xor"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"xorps"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"AAA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"AAD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"AAM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"AAS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ADC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ADD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ADDPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ADDSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"AND"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ANDNPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ANDPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ARPL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"BOUND"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"BSF"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"BSR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"BSWAP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"BT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"BTC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"BTR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"BTS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CALL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CBW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CDQ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CLC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CLD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CLI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CLTS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVAE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVBE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVGE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVLE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNAE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNBE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNGE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNLE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVNZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVPE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVPO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMOVZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMPPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMPSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMPSD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMPSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMPSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMPXCHG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CMPXCHGB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"COMISS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CPUID"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CVTPIPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CVTPSPI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CVTSISS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CVTSSSI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CVTTPSPI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CVTTSSSI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CWD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"CWDE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"DAA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"DAS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"DEC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"DIV"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"DIVPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"DIVSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"EMMS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ENTER"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FXM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FABS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FADD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FADDP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FBLD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FBSTP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCHS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCLEX"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCMOVB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCMOVBE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCMOVE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCMOVNB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCMOVNBE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCMOVNE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCMOVNU"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCMOVU"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCOM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCOMI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCOMIP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCOMP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCOMPP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FCOS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FDECSTP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FDIV"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FDIVP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FDIVR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FDIVRP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FFREE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FIADD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FICOM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FICOMP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FIDIV"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FIDIVR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FILD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FIMUL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FINCSTP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FINIT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FIST"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FISTP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FISUB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FISUBR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLDCW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLDENV"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLDLE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLDLT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLDLG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLDLN"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLDPI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FLDZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FMUL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FMULP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FNCLEX"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FNINIT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FNOP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FNSAVE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FNSTCW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FNSTENV"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FNSTSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FPATAN"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FPREM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FPREM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FRNDINT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FRSTOR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSAVE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSCALE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSIN"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSINCOS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSQRT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FST"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSTCW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSTENV"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSTP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSTSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSUB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSUBP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSUBR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FSUBRP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FTST"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FUCOM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FUCOMI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FUCOMIP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FUCOMP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FUCOMPP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FWAIT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FXAM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FXCH"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FXRSTOR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FXSAVE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FXTRACT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FYLX"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"FYLXP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"HLT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"IDIV"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"IMUL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"IN"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INSD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INTO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INVD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"INVLPG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"IRET"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"IRETD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JAE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JBE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JCXZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JECXZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JGE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JLE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JMP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNAE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNBE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNGE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNLE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JNZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JPE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JPO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"JZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LAHF"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LAR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LDMXCSR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LDS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LEA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LEAVE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LES"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LFS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LGDT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LGS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LIDT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LLDT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LMSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LOCK"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LODS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LODSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LODSD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LODSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LOOP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LOOPE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LOOPNE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LOOPNZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LOOPZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LSL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"LTR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MASKMOVQ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MAXPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MAXSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MINPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MINSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOV"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVAPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVHPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVLPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVMSKPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVNTPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVNTQ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVQ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVSD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVSX"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVUPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MOVZX"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MUL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MULPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"MULSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"NEG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"NOP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"NOT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"OR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ORPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"OUT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"OUTS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"OUTSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"OUTSD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"OUTSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PACKSSDW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PACKSSWB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PACKUSWB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PADDB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PADDD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PADDSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PADDSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PADDUSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PADDUSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PADDW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PAND"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PANDN"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PAVGB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PAVGW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PCMPEQB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PCMPEQD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PCMPEQW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PCMPGTB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PCMPGTD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PCMPGTW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PEXTRW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PINSRW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMADDWD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMAXSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMAXUB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMINSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMINUB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMOVMSKB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMULHUW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMULHW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PMULLW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"POP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"POPA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"POPAD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"POPF"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"POPFD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"POR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PREFETCHNTA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PREFETCHT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PREFETCHT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PREFETCHT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSADBW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSHUFW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSLLD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSLLQ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSLLW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSRAD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSRAW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSRLD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSRLQ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSRLW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSUBB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSUBD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSUBSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSUBSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSUBUSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSUBUSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PSUBW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUNPCKHBW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUNPCKHDQ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUNPCKHWD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUNPCKLBW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUNPCKLDQ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUNPCKLWD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUSH"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUSHA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUSHAD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUSHF"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PUSHFD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"PXOR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RCL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RCPPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RCPSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RCR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RDMSR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RDPMC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RDTSC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"REP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"REPE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"REPNE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RET"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ROL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"ROR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RSM"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RSQRTPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"RSQRTSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SAL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SAR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SBB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SCAS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SCASB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SCASD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SCASW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETAE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETBE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETGE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETLE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNA"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNAE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNBE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNGE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNLE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETNZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETP"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETPE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETPO"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SETZ"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SFENCE"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SGDT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SHL"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SHLD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SHR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SHRD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SHUFPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SIDT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SLDT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SMSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SQRTPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SQRTSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STC"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STI"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STMXCSR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STOS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STOSB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STOSD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STOSW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"STR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SUB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SUBPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SUBSS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SYSENTER"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"SYSEXIT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"TEST"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"UCOMISS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"UD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"UNPCKHPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"UNPCKLPS"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"VERR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"VERW"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"WAIT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"WBINVD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"WRMSR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"XADD"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"XCHG"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"XLAT"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"XLATB"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"XOR"
    invoke SetWindowText,hWnd,str$(eax)
    fn ismnemonic,"XORPS"

    sub esi, 1
    jnz @B

    pop esi

    ret

runtest endp

; 


end start
